Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82014 - cvs remote security issue
Summary: cvs remote security issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: cvs
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-16 11:34 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 21:23:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:013 high SHIPPED_LIVE Critical: cvs security update 2003-01-15 05:00:00 UTC

Description Mark J. Cox 2003-01-16 11:34:17 UTC
During an audit of the CVS sources, Stefan Esser of
e-matters discovered an exploitable double-free bug in the CVS server.

On servers which are configured to allow anonymous read-only access, this
bug could be used by anonymous users to gain write privileges and execute
arbitrary commands on the server.

Comment 1 Mark J. Cox 2003-01-20 21:23:12 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-013.html



Note You need to log in before you can comment on or make changes to this bug.